Package ru.bgcrm.plugin.bgbilling.proto.model.status

# Class ContractStatusFutureTask

java.lang.Object
ru.bgcrm.plugin.bgbilling.proto.model.status.ContractStatusFutureTask

public class ContractStatusFutureTask extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ContractStatusFutureTask.Status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusFutureTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `Date`
  `getCreateTime()`
  `int`
  `getCreateUserId()`
  `String`
  `getData()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getStatus()`
  `ContractStatusFutureTask.Status`
  `getTaskStatus()`
  `String`
  `getUser()`
  `void`
  `setComment(String comment)`
  `void`
  `setCreateTime(Date createTime)`
  `void`
  `setCreateUserId(int createUserId)`
  `void`
  `setData(String data)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setStatus(String status)`
  `void`
  `setTaskStatus(ContractStatusFutureTask.Status status)`
  `void`
  `setUser(String user)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusFutureTask

    public ContractStatusFutureTask()

- ## Method Details

  - ### getTaskStatus

    public ContractStatusFutureTask.Status getTaskStatus()

  - ### setTaskStatus

    public void setTaskStatus(ContractStatusFutureTask.Status status)

  - ### getCreateTime

    public Date getCreateTime()

  - ### setCreateTime

    public void setCreateTime(Date createTime)

  - ### getCreateUserId

    public int getCreateUserId()

  - ### setCreateUserId

    public void setCreateUserId(int createUserId)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)